#include <bits/stdc++.h>
using namespace std;
int n, ans, ch3;
vector <int> a;
void f()
{
    for (int i=1; i<=n; i++)
    {
        if (n%i==0)
        {
            a.push_back(i);
        }
    }
}
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    cin>>n;
    f();
    for (int i=0; i<a.size(); i++)
    {
        if (n/a[i]<a[i])
        {
            break;
        }
        for (int j=i; j<n; j++)
        {
            //cout<<a[i]<<" "<<a[j]<<"\n";
            int d=a[i]*a[j];
            /*if (n%d!=0)
            {
                continue;
            }*/
            ch3=n/d;
            if (ch3<a[i] || ch3<a[j])
            {
                break;
            }
            if (d*ch3!=n)
            {
                continue;
            }
            ans++;
        }
    }
    cout<<ans<<"\n";
    return 0;
}
